Bug 989048 - PartitionException: Partition is not part of the disk it is being removed from [NEEDINFO]
PartitionException: Partition is not part of the disk it is being removed from
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:a307e4d5f492c5748e9fcde04f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-27 02:01 EDT by don_agent_87
Modified: 2014-12-19 15:36 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-19 15:36:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (k.s.adamski21)


Attachments (Terms of Use)
File: anaconda-tb (637.01 KB, text/plain)
2013-07-27 02:01 EDT, don_agent_87
no flags Details
File: anaconda.log (32.16 KB, text/plain)
2013-07-27 02:01 EDT, don_agent_87
no flags Details
File: environ (440 bytes, text/plain)
2013-07-27 02:01 EDT, don_agent_87
no flags Details
File: lsblk_output (2.21 KB, text/plain)
2013-07-27 02:01 EDT, don_agent_87
no flags Details
File: messages (222.55 KB, text/plain)
2013-07-27 02:01 EDT, don_agent_87
no flags Details
File: nmcli_dev_list (3.53 KB, text/plain)
2013-07-27 02:01 EDT, don_agent_87
no flags Details
File: os_info (179 bytes, text/plain)
2013-07-27 02:01 EDT, don_agent_87
no flags Details
File: program.log (59.08 KB, text/plain)
2013-07-27 02:01 EDT, don_agent_87
no flags Details
File: storage.log (227.00 KB, text/plain)
2013-07-27 02:02 EDT, don_agent_87
no flags Details
File: ifcfg.log (656 bytes, text/plain)
2013-07-27 02:02 EDT, don_agent_87
no flags Details

  None (edit)
Description don_agent_87 2013-07-27 02:01:20 EDT
Version-Release number of selected component:
anaconda-19.30.13-1.fc19.x86_64

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 269, in removePartition
    if self.__disk.remove_partition(partition.getPedPartition()):
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 41, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 574, in removeNewPartitions
    part.disk.format.partedDisk.removePartition(part.partedPartition)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 757, in doPartitioning
    removeNewPartitions(disks, partitions)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 302, in doAutoPartition
    doPartitioning(storage)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 241, in execute
    doAutoPartition(storage, ksdata)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1644, in doKickstartStorage
    ksdata.autopart.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 393, in _doExecute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
PartitionException: Partition is not part of the disk it is being removed from

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64, pyparted-3.9-3.fc19.x86_64
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19

Potential duplicate: bug 865653
Comment 1 don_agent_87 2013-07-27 02:01:29 EDT
Created attachment 778969 [details]
File: anaconda-tb
Comment 2 don_agent_87 2013-07-27 02:01:34 EDT
Created attachment 778970 [details]
File: anaconda.log
Comment 3 don_agent_87 2013-07-27 02:01:38 EDT
Created attachment 778971 [details]
File: environ
Comment 4 don_agent_87 2013-07-27 02:01:42 EDT
Created attachment 778972 [details]
File: lsblk_output
Comment 5 don_agent_87 2013-07-27 02:01:47 EDT
Created attachment 778973 [details]
File: messages
Comment 6 don_agent_87 2013-07-27 02:01:51 EDT
Created attachment 778974 [details]
File: nmcli_dev_list
Comment 7 don_agent_87 2013-07-27 02:01:55 EDT
Created attachment 778975 [details]
File: os_info
Comment 8 don_agent_87 2013-07-27 02:01:59 EDT
Created attachment 778976 [details]
File: program.log
Comment 9 don_agent_87 2013-07-27 02:02:04 EDT
Created attachment 778977 [details]
File: storage.log
Comment 10 don_agent_87 2013-07-27 02:02:08 EDT
Created attachment 778978 [details]
File: ifcfg.log
Comment 11 David Shea 2014-12-08 17:34:23 EST
Does this issue still occur in Fedora 21? Can you provide the steps you took to get to this crash?

Note You need to log in before you can comment on or make changes to this bug.